Install uploadprogress in XAMPP (Ubuntu 10.04)

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Install uploadprogress in XAMPP (Ubuntu 10.04)

Postby sergiu.popa » 17. January 2011 16:33

I would like to install uploadprogress extension in XAMPP 1.7.1 (using Ubuntu 10.04).

Please let me know what I'm doing wrong:

1) I've downloaded uploadedprogress-1.0.1.tgz to desktop
2) I've run tar zxvf uploadprogress-1.0.1.tgz to extract the archive in the folder.
3) cd uploadprogress-1.0.1
4) /opt/lampp/bin/phpize-5.2.9 (in this step... although I'm pointing to the right folder of php.. I get no info about PHP Api Version, zend module api, etc.
Here the output
Code: Select all
grep: /opt/lampp/include/php/main/php.h: No such file or directory
grep: /opt/lampp/include/php/Zend/zend_modules.h: No such file or directory
grep: /opt/lampp/include/php/Zend/zend_extensions.h: No such file or directory
Configuring for:
PHP Api Version:       
Zend Module Api No:     
Zend Extension Api No: 
configure.in:144: warning: AC_CACHE_VAL(lt_prog_compiler_static_works, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:1998: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:2019: AC_CACHE_CHECK is expanded from...
aclocal.m4:3535: AC_LIBTOOL_LINKER_OPTION is expanded from...
aclocal.m4:5473: _LT_AC_LANG_C_CONFIG is expanded from...
aclocal.m4:5472: AC_LIBTOOL_LANG_C_CONFIG is expanded from...
aclocal.m4:2952: AC_LIBTOOL_SETUP is expanded from...
aclocal.m4:2932: _AC_PROG_LIBTOOL is expanded from...
aclocal.m4:2895: AC_PROG_LIBTOOL is expanded from...
configure.in:144: the top level
configure.in:144: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works, ...): suspicious cache-id, must contain _cv_ to be cached
aclocal.m4:3490: AC_LIBTOOL_COMPILER_OPTION is expanded from...
aclocal.m4:7600: AC_LIBTOOL_PROG_COMPILER_PIC is expanded from...
configure.in:144: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works_CXX, ...): suspicious cache-id, must contain _cv_ to be cached
aclocal.m4:5586: _LT_AC_LANG_CXX_CONFIG is expanded from...
aclocal.m4:5585: AC_LIBTOOL_LANG_CXX_CONFIG is expanded from...
aclocal.m4:4621: _LT_AC_TAGCONFIG is expanded from...
configure.in:144: warning: AC_CACHE_VAL(lt_prog_compiler_static_works, ...): suspicious cache-id, must contain _cv_ to be cached
../../lib/autoconf/general.m4:1998: AC_CACHE_VAL is expanded from...
../../lib/autoconf/general.m4:2019: AC_CACHE_CHECK is expanded from...
aclocal.m4:3535: AC_LIBTOOL_LINKER_OPTION is expanded from...
aclocal.m4:5473: _LT_AC_LANG_C_CONFIG is expanded from...
aclocal.m4:5472: AC_LIBTOOL_LANG_C_CONFIG is expanded from...
aclocal.m4:2952: AC_LIBTOOL_SETUP is expanded from...
aclocal.m4:2932: _AC_PROG_LIBTOOL is expanded from...
aclocal.m4:2895: AC_PROG_LIBTOOL is expanded from...
configure.in:144: the top level
configure.in:144: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works, ...): suspicious cache-id, must contain _cv_ to be cached
aclocal.m4:3490: AC_LIBTOOL_COMPILER_OPTION is expanded from...
aclocal.m4:7600: AC_LIBTOOL_PROG_COMPILER_PIC is expanded from...
configure.in:144: warning: AC_CACHE_VAL(lt_prog_compiler_pic_works_CXX, ...): suspicious cache-id, must contain _cv_ to be cached
aclocal.m4:5586: _LT_AC_LANG_CXX_CONFIG is expanded from...
aclocal.m4:5585: AC_LIBTOOL_LANG_CXX_CONFIG is expanded from...
aclocal.m4:4621: _LT_AC_TAGCONFIG is expanded from...

5) ./configure --with-php-config=/opt/lampp/bin/php-config-5.2.9
6) make

I'm a newbie so please someone guide me through this process. Thanks!
sergiu.popa
 
Posts: 2
Joined: 17. January 2011 16:07

Re: Install uploadprogress in XAMPP (Ubuntu 10.04)

Postby greno » 18. January 2011 23:26

You need to install the XAMPP 'devel' package for your release.

Regards,
Gerry
greno
 
Posts: 54
Joined: 04. October 2006 19:25

Re: Install uploadprogress in XAMPP (Ubuntu 10.04)

Postby sergiu.popa » 19. January 2011 09:21

greno wrote:You need to install the XAMPP 'devel' package for your release.

Regards,
Gerry


Thank you Gerry.
After installing the XAMPP 'devel' package for my version of XAMPP (1.7.1), everything went ok.
sergiu.popa
 
Posts: 2
Joined: 17. January 2011 16:07


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests